{% extends 'site/site-base.html.twig' %}

{% block body %}
    <main class="container-fluid container-md mt-3 mb-5 mt-lg-5">
        <div class="card rounded-0 mx-lg-5">
            {% if trick.photos is not null and trick.photos is not empty %}
                {% set photo = trick.photos[0] %}
                <div class="trick-main-image-container">
                    {% if is_granted('ROLE_USER') %}
                        <div class="bg-white trick-functions-buttons px-2">
                            <a href="{{ path('tricks_update', {id: trick.id}) }}" class="edit-link mr-2 text-black-50"
                               data-toggle="tooltip" data-placement="bottom" data-title="Modifier le trick">
                                <i class="fa fa-pencil"></i>
                            </a>
                            <a class="remove-trick text-danger" data-toggle="tooltip" data-placement="bottom"
                               data-title="Supprimer le trick">
                                <i class="fa fa-trash"></i>
                            </a>
                        </div>
                    {% endif %}
                    <h1 class="trick-title h4 rounded-pill px-2"><b>{{ trick.name }}</b></h1>
                    <img src="{{ asset('uploadedPhotos/' ~ photo.filename) }}" alt="Main photo"
                         class="card-img-top trick-main-image rounded-0">
                </div>
            {% endif %}
            <button class="d-lg-none m-3 btn btn-primary show-media" data-toggle="modal" data-target="#modal-media">
                Voir les médias
            </button>
            <div class="d-none d-lg-block">
                <ul class="list-unstyled d-lg-flex justify-content-center mb-0 mt-2">
                    {% for photo in trick.photos|slice(1) %}
                        <li class="photo-li col-lg-3">
                            <img class="trick-details_image w-100" src="{{ asset('uploadedPhotos/' ~ photo.filename) }}" alt="{{ photo.filename }}">
                        </li>
                    {% endfor %}
                </ul>
                <ul class="list-unstyled d-flex justify-content-center mb-0">
                    {% for video in trick.videos %}
                        <li class="video-li col-lg-3">
                            {# <iframe width="560" height="315" src="{{ video.fullUrl }}" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe> #}
                            <input type="hidden" class="video-link" value="{{ video.fullUrl }}">
                        </li>
                    {% endfor %}
                </ul>
            </div>
            <div class="px-1 text-justify px-md-4 mt-md-4">
                {{ trick.description }}
            </div>
            <div class="d-flex justify-content-center my-3">
                <span class="badge-info badge-pill">{{ trick.trickGroup.label }}</span>
            </div>
            {% if is_granted('ROLE_USER') %}
                <div class="mb-3">
                    <div class="d-flex justify-content-center">
                        <hr class="w-75">
                    </div>
                    <div>
                        {{ form_start(commentForm) }}
                        <div class="col-md-8 offset-md-2 col-lg-6 offset-lg-3 col-12">
                            {{ form_row(commentForm.message, {attr: {placeholder: 'Votre commentaire'}}) }}
                        </div>
                        <div class="d-flex justify-content-center">
                            <button type="submit" class="btn btn-primary btn-xs">Laisser un commentaire</button>
                        </div>
                        {{ form_end(commentForm) }}
                    </div>
                </div>
            {% endif %}
            <input type="hidden" value="{{ trick.id }}" id="trick-id">
            <ul class="list-group list-group-flush list-unstyled" id="comment-holder">
                {{ include('tricks/include/_comment-list.html.twig') }}
            </ul>
            {% if comments is defined and comments is not empty and comments | length > commentsPerPages %}
                <button id="load-more-comments" class="btn btn-primary btn-sm" data-index="1">
                    <span class="spinner-border spinner-border-sm hidden" role="status" aria-hidden="true"
                      id="spinner-loader"></span>
                    Voir plus
                </button>
            {% endif %}
        </div>
        <div class="modal" tabindex="-1" id="modal-media">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Médias</h5>
                        <button type="button" class="btn" data-dismiss="modal" aria-label="Close">
                            <i class="fa fa-close"></i>
                        </button>
                    </div>
                    <div class="modal-body">
                        <ul class="list-unstyled">
                            {% for photo in trick.photos|slice(1) %}
                                <li class="photo-li">
                                    <img src="{{ asset('uploadedPhotos/' ~ photo.filename) }}" alt="{{ photo.filename }}"
                                         class="img-fluid w-100">
                                </li>
                            {% endfor %}
                        </ul>
                        <ul class="list-unstyled">
                            {% for video in trick.videos %}
                                <li class="video-li">
                                    {# <iframe width="560" height="315" src="{{ video.fullUrl }}" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe> #}
                                    <input type="hidden" class="video-link" value="{{ video.fullUrl }}">
                                </li>
                            {% endfor %}
                        </ul>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
                    </div>
                </div>
            </div>
        </div>

    </main>
{% endblock %}

{% block title %}
    {{ parent() }} | {{ trick.slug }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('tricks_show') }}
{% endblock %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('tricks_show') }}
{% endblock %}
